/*Google Fonts*/
body {
	font-family: 'Open Sans', sans-serif;
}

/*CSS Reset*/

*{
	/*margin is used to create space between elements*/
	margin:  0;
	/*padding is used when creating space between element's border and it's content*/
	padding:  0;
	/*includes the padding and border properties of an element to the total height and width in it's computation*/
	box-sizing: border-box;
}

nav {
	padding: 0.8rem;
	margin-bottom: 2rem;
	border-bottom: 1px solid gray;
}

/*multiple selector (,) - allows us to use multiple selector for one css rule set*/
nav li{
	margin:  0.5rem;
	display: inline;
	/*display: inline - allows us to change a block element into an inline element*/
}

#intro{
	/*creates space between the contents of the intro section and the it's border*/
	/* % was used to make page more responsive. So our padding on the left and right are now dependent on the width of the parent element. */
	/*The value "10%" is used to make the page responsive to the screen size. It generates it's value based on the parent element which is the body tag, which spans the whole width of the page.*/

	padding-left: 10%;
	padding-right: 10%;
	padding-top:  2rem;
	padding-bottom: 3rem;
	text-align: center;
}

.header{
	text-align: center;
}

#intro h2, #intro p{
	/*creates space between the contents of the intro section*/
	margin-bottom: 1rem;
}

#intro button{
	color: white;
	font-weiht: bold;
	background-color: #c2195b;
	border-radius: 25px;
	font-size: 1rem;
	padding: 1rem;
}

#succeed-info {
	padding-left: 10%;
	padding-right: 10%;
	padding-top:  2rem;
	padding-bottom: 3rem;
}

#succeed-info h2{
	/*creates space between the header and the card section*/
	margin-bottom: 1rem;
}

#succeed-info h3{
	text-align: center;
	margin-bottom: 1rem;
}

#succeed-info .card{
	/*allows the cards to appear beside each other*/
	display: inline-block;
	/*aligns elements with the tallest element in line*/
	/*used with the "inline-block" value*/
	vertical-align: top;
	/*allows for cards to have equal height that adjust with the content*/
	/*minimum height you are able to add or define a minimum height for elements. Unlike the height property which is a fixed value, this property allows the element to adjust it's height when the content exceeds it or when the content does not reach the height that we set. This is good practice so you can have elements with the same height.*/
	min-height: 175px;
	width:  30%;
	margin-left: 0.5rem;
	margin-right: 0.5rem;
}

/*pre-footer*/

footer{
	/*creates space between the span tags and the footer border*/
	padding: 0.7rem;
}

footer span{
	margin-left: 0.5rem;
	margin-right: 0.5rem;
}

#pre-footer {
	padding-right: 10%;
	padding-top:  1rem;
	padding-bottom: 1rem;
	margin-bottom: 1rem;
	background-color: #002540;
	color: white;
}


#pre-footer div{
	display: inline-block;
	vertical-align: bottom;
	width:  20%;
	margin-left: 0.5rem;
	margin-right: 0.5rem;
}


#pre-footer p{
	line-height: 1.5;
}


ul {
	list-style-type: none;
}



